dpkg-genbuildinfo(1)

NAAM
dpkg-genbuildinfo - genereer Debian .buildinfo-bestanden

OVERZICHT
dpkg-genbuildinfo [optie...]

BESCHRIJVING
dpkg-genbuildinfo leest informatie uit een uitgepakte en gebouwde Debian broncodeboom en uit de bestanden die het gegenereerd heeft en maakt een Debian controlebestand aan dat de bouwomgeving en de bouwvoorwerpen (een bestand .buildinfo).

Dit programma werd geïntroduceerd in dpkg 1.18.11.

OPTIES

--build=type
    Geeft het bouw-type op aan de hand van een lijst van met komma's gescheiden componenten.

    De waarden die gebruikt mogen worden zijn:

    any Bouwinformatie genereren welke niet-gekwalificeerde bouwvereisten (Build-Depends) en architectuurspecifieke bouwvereisten (Build-Depends-Arch) bevat.

    all Bouwinformatie genereren welke niet-gekwalificeerde bouwvereisten (Build-Depends) en architectuuronafhankelijke bouwvereisten (Build-Depends-Indep) bevat.

    source
        Effectief genegeerd; bouwinformatie genereren met uitsluitend de niet-gekwalificeerde bouwvereisten (Build-Depends).

    binary
        Bouwinformatie genereren met alle drie de types bouwvereisten. Dit is een alias voor any,all.

    full
        Bouwinformatie genereren met alle drie de types bouwvereisten. Dit is een alias voor any,all,source en identiek aan de standaardsituatie wanneer geen bouwoptie opgegeven werd.

-ccontrolebestand
    Geeft aan wat het hoofdcontrolebestand van de broncode is waaruit informatie gehaald moet worden. Standaard is dat debian/control.

-lchangelog-bestand
    Geeft aan wat het changelog-bestand is waaruit informatie gehaald moet worden. Standaard is dat debian/changelog.

-fbestand-met-bestandenlijst
    Specificeert waar zich de lijst van bestanden bevindt die door het bouwproces aangemaakt werden, eerder dan debian/files te gebruiken.

-Fchangelog-indeling
    Geeft de indeling van het bestand changelog aan. Zie dpkg-parsechangelog(1) voor informatie over alternatieve indelingen.

-O[bestandsnaam]
    Het bestand buildinfo op de standaarduitvoer weergeven (of in bestandsnaam als dit opgegeven werd), in plaats van in map/broncode-naam_binaire-versie_arch.buildinfo (waarbij map standaard .. is of map-upload-bestanden indien -u gebruikt werd).

-umap-upload-bestanden
    De bestanden die geüpload moeten worden opzoeken in map-upload-bestanden eerder dan in .. (dpkg-genbuildinfo moet deze bestanden kunnen vinden, zodat het hun grootte en hun controlegetal kan opnemen in het bestand .buildinfo)

--always-include-kernel
    Standaard wordt het veld Build-Kernel-Version niet opgeschreven.

    Geef deze optie op (sinds dpkg 1.19.0) om steeds een veld Build-Kernel-Version aan te maken als .buildinfo gegenereerd wordt.

--always-include-path
    Standaard zal het veld Build-Path enkel opgeschreven worden als de huidige map begint met een toegestaan patroon.

    Op Debian en zijn derivaten moet het patroon beantwoorden aan /build/ als begin van de padnaam.

    Geef deze optie op om steeds een veld Build-Path aan te maken als .buildinfo gegenereerd wordt.

--admindir=map
    De locatie van de database van dpkg wijzigen. De standaardlocatie is /var/lib/dpkg.

-q  dpkg-genbuildinfo kan informatieve berichten op de standaard foutuitvoer produceren. -q onderdrukt deze berichten.

-?, --help
    Info tonen over het gebruik en afsluiten.

--version
    De versie tonen en afsluiten.

OMGEVING

DEB_BUILD_OPTIONS
    Deze variabele kan gebruikt worden via de optie buildinfo voor het activeren of deactiveren van verschillende functies die invloed hebben op de informatie die opgenomen wordt in het bestand .buildinfo (sinds dpkg 1.18.19). Deze optie bevat een lijst van onderling door komma's gescheiden functies, die voorafgegaan worden door de bepaling ‘+’ of ‘-’, welke aangeven of die functie al dan niet geactiveerd moet worden. De bijzondere functie “all” kan gebruikt worden om alle overige functies te activeren of te deactiveren. De functie “path” regelt of het veld Build-Path onvoorwaardelijk mee opgenomen moet worden.

DEB_BUILD_ARCH
    Stelt de bouwarchitectuur in. Dit beïnvloedt de waarde van het veld build-architecture en de controle op de cross-compilatiemodus.

DEB_HOST_ARCH
    Stelt de computerarchitectuur in. Dit beïnvloedt de bestandsnaam die gebruikt wordt voor het bestand .buildinfo en de controle op de cross-compilatiemodus.

DPKG_COLORS
    Stelt de kleurmodus in (sinds dpkg 1.18.5). Waarden die momenteel gebruikt mogen worden zijn: auto (standaard), always en never.

DPKG_NLS
    Indien dit ingesteld is, zal het gebruikt worden om te beslissen over het activeren van moedertaalondersteuning, ook gekend als internationaliseringsondersteuning (of i18n) (sinds dpkg 1.19.0). Geldige waarden zijn: 0 and 1 (standaard).

BESTANDEN

debian/files
    De lijst van gegenereerde bestanden. dpkg-genbuildinfo leest hier de gegevens bij het produceren van een .buildinfo-bestand.

ZIE OOK
deb-buildinfo(5).